# Shortcodes

You can use some elements from MasterStudy LMS with other themes simply by using shortcodes on any page and post.

There is a list of special shortcodes that you can use to paste some elements and options into your website such as courses carousel, course categories, featured instructors, and much more.

![](https://2510388981-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FssQJHeNoYaNiM7fQ7LdT%2Fuploads%2F9flkE9K3bgQujq9gich8%2F5.png?alt=media\&token=55528227-80fa-442d-bdf5-d8c8c66707e0)

Below you can find the list of shortcodes with all available parameters and examples.

**1.Search box**: shows courses search box: \[stm\_courses\_searchbox]

**Parameters** available: style - style\_1/style\_2

**Example**:

```
[stm_courses_searchbox style="style_1"]
```

**2. Courses Carousel:** shows the courses carousel: \[stm\_lms\_courses\_carousel]

**Settings** available:

* title (enter the module title)
* title\_color (change the color of the title, example #fafafa)
* query (sorting options - none/popular/free/rating; set by default as "none")
* prev\_next (enable/disable Previous/Next buttons; set by default as “enable”)
* remove\_border (enable/disable border removing; set by default "disable")
* show\_categories (enable/disable display of categories; set by default as "disable")
* pagination (disable or enable paginations, set by default as "disable")
* per\_row (specify the number of courses per row; by default — 6)
* taxonomy (term ID of stm\_lms\_course\_taxonomy taxonomy, only if show\_categories is "enable". example "233,255,321")

**Example:**

```
[stm_lms_courses_carousel title="Sample Title" title_color="#000000 
query="free" prev_next="disable" remove_border="enable" pagination="enable"]
```

**3. Courses Categories:** shows the courses categories \[stm\_lms\_courses\_categories]

Settings available: style - style\_1/style\_2/style\_3/style\_4

* taxonomy (term ID of stm\_lms\_course\_taxonomy — taxonomy; example "233,255,321")

**Example**:

```
[stm_lms_courses_categories style="style_1" taxonomy=”23,56”]
```

**4. Courses Grid:** show the courses grid: \[stm\_lms\_courses\_grid]

Settings available:

* hide\_top\_bar (shows the top bar - hidden/showing; by default — "showing")
* title (module title)
* hide\_load\_more (hide/show the button Load More - hidden/showing, by default — "showing")
* hide\_sort (hide/show sorting option - hidden/showing; by default — "showing")
* per\_row (the number of Courses Per Row; by default 6)
* image\_size (sets the image size - thumbnail/medium/large)
* posts\_per\_page (number of courses to show on the page)

**Example:**

```
[stm_lms_courses_grid title="Sample Title" hide_top_bar="hidden" 
hide_load_more="showing" per_row="3" posts_per_page="6" hide_sort="hidden" image_size="medium]
```

Follow to **Settings > Media** from your dashboard panel to set the sizes for thumbnail/medium/large.

**5. Featured Teacher:** shows Featured Teacher: \[stm\_lms\_featured\_teacher]

**Settings** available:

* instructor (Instructor ID)
* position (Instructor Position)
* bio (Instructor Bio)
* image (enter image ID)

**Example:**

```
[stm_lms_featured_teacher instructor="5" position=“Sample Position” 
bio="Sample Bio" image="1150"]
```

**6. Instructors Carousel:** shows the Instructors carousel: \[stm\_lms\_instructors\_carousel]

Settings available:

* title (module title)
* title\_color (changes the color of the title)
* per\_row (number of Instructors per row; by default 6)
* per\_row\_md (number of Instructors per row on Notebook; by default 4)
* per\_row\_sm (number of Instructors per row on Tablet; by default 2)
* per\_row\_xs (number of Instructors per row on Mobile; by default 1)
* style (change the display style - style\_1/style\_2; by default "style\_1")
* sort (shows the option Sort By - default/rating)
* prev\_next (Enable/Disable Previous and Next Buttons; by default "enable")
* pagination (Enable/Disable Previous and Next Buttons, by default "disable")

Example:

```
[stm_lms_instructors_carousel title="Sample Title" title_color="#000000" 
style="style_1" sort="rating" per_row_md="3" per_row_sm="1" pagination="enable"]
```

**7. Recent Courses:** shows Recent courses: \[stm\_lms\_recent\_courses]

Settings available:

* posts\_per\_page (Number of courses to show on the page)
* image\_size (sets the image size - thumbnail/large/medium)
* per\_row (the number of courses per row)
* style (changes display style - style\_1/style\_2; by default "style\_1")

**Example:**

```
[stm_lms_recent_courses posts_per_page="5" image_size="large" per_row="3" 
style="style_2]
```

**8. Single Course Carousel:** shows the carousel with a single course: \[stm\_lms\_single\_course\_carousel]

Settings available:

* query (Sorting options - none/popular/free/rating, by default "none")
* prev\_next (Enable/Disable Previous and Next Buttons; by default "enable")
* pagination (Enable/Disable pagination; by default "disable")
* taxonomy (term ID of stm\_lms\_course\_taxonomy taxonomy, example "233,255,321")

**Example:**

```
[stm_lms_single_course_carousel query="free" taxonomy=”23,56” 
pagination="enable" prev_next="enable"]
```

## For Pro version of the plugin <a href="#shortcodes-forproversionoftheplugin" id="shortcodes-forproversionoftheplugin"></a>

**9. Certificate checker:** enables the certificate checker: \[stm\_lms\_certificate\_checker]

Settings available:

* title (module title)

**Example:**

```
[stm_lms_certificate_checker title="Certificate Verification"]
```

**10. Course Bundles:** enables course bundles option: \[stm\_lms\_course\_bundles]

Settings available:

* title (module title)
* columns (number of columns - 2/3; by default 3)
* posts\_per\_page (number of posts per page)

**Example:**

```
[stm_lms_course_bundles title="My Bundles" columns="2" posts_per_page="2"]
```

**11. Google Classrooms grid view:** shows the grid view of Google classrooms: \[stm\_lms\_google\_classroom]

Settings available:

* title (module title)
* number (number of posts on the page)

**Example:**

```
[stm_lms_google_classroom title="Sample Title" number="6"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/globalstudy/masterstudy-lms-settings/shortcodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
